<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class CloudAPIThreadControlNotification extends \Google\Protobuf\Internal\Message
{
    


    protected $status = null;
    


    protected $senderNotificationTimestampMs = null;
    


    protected $consumerLid = null;
    


    protected $consumerPhoneNumber = null;
    


    protected $notificationContent = null;
    


    protected $shouldSuppressNotification = null;

    













    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getStatus()
    {
        return isset($this->status) ? $this->status : 0;
    }

    public function hasStatus()
    {
        return isset($this->status);
    }

    public function clearStatus()
    {
        unset($this->status);
    }

    




    public function setStatus($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\CloudAPIThreadControlNotification\CloudAPIThreadControl::class);
        $this->status = $var;

        return $this;
    }

    



    public function getSenderNotificationTimestampMs()
    {
        return isset($this->senderNotificationTimestampMs) ? $this->senderNotificationTimestampMs : 0;
    }

    public function hasSenderNotificationTimestampMs()
    {
        return isset($this->senderNotificationTimestampMs);
    }

    public function clearSenderNotificationTimestampMs()
    {
        unset($this->senderNotificationTimestampMs);
    }

    




    public function setSenderNotificationTimestampMs($var)
    {
        GPBUtil::checkInt64($var);
        $this->senderNotificationTimestampMs = $var;

        return $this;
    }

    



    public function getConsumerLid()
    {
        return isset($this->consumerLid) ? $this->consumerLid : '';
    }

    public function hasConsumerLid()
    {
        return isset($this->consumerLid);
    }

    public function clearConsumerLid()
    {
        unset($this->consumerLid);
    }

    




    public function setConsumerLid($var)
    {
        GPBUtil::checkString($var, True);
        $this->consumerLid = $var;

        return $this;
    }

    



    public function getConsumerPhoneNumber()
    {
        return isset($this->consumerPhoneNumber) ? $this->consumerPhoneNumber : '';
    }

    public function hasConsumerPhoneNumber()
    {
        return isset($this->consumerPhoneNumber);
    }

    public function clearConsumerPhoneNumber()
    {
        unset($this->consumerPhoneNumber);
    }

    




    public function setConsumerPhoneNumber($var)
    {
        GPBUtil::checkString($var, True);
        $this->consumerPhoneNumber = $var;

        return $this;
    }

    



    public function getNotificationContent()
    {
        return $this->notificationContent;
    }

    public function hasNotificationContent()
    {
        return isset($this->notificationContent);
    }

    public function clearNotificationContent()
    {
        unset($this->notificationContent);
    }

    




    public function setNotificationContent($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\CloudAPIThreadControlNotification\CloudAPIThreadControlNotificationContent::class);
        $this->notificationContent = $var;

        return $this;
    }

    



    public function getShouldSuppressNotification()
    {
        return isset($this->shouldSuppressNotification) ? $this->shouldSuppressNotification : false;
    }

    public function hasShouldSuppressNotification()
    {
        return isset($this->shouldSuppressNotification);
    }

    public function clearShouldSuppressNotification()
    {
        unset($this->shouldSuppressNotification);
    }

    




    public function setShouldSuppressNotification($var)
    {
        GPBUtil::checkBool($var);
        $this->shouldSuppressNotification = $var;

        return $this;
    }

}

